[kde-workspace] 4.10.2-5

Rex Dieter rdieter at fedoraproject.org
Thu Apr 18 14:04:41 UTC 2013


commit 87931232324d2fe3bf5e2786668b7252a87be197
Author: Rex Dieter <rdieter at math.unl.edu>
Date:   Thu Apr 18 09:04:40 2013 -0500

    4.10.2-5
    
    - drop LD_BIND_NOW from startkde (#908380)
    - fold all startkde-related patches into redhat_startkde.patch

 kde-workspace-4.10.0-BUILD_KCM_RANDR.patch         |   28 -----------
 kde-workspace-4.10.2-BUILD_KCM_RANDR.patch         |   16 +++++++
 ...h => kde-workspace-4.10.2-redhat_startkde.patch |   48 ++++++++++++++-----
 kde-workspace.spec                                 |   15 +++---
 ...-workspace-4.6.90-multilib_qt_plugin_path.patch |   15 ------
 5 files changed, 59 insertions(+), 63 deletions(-)
---
diff --git a/kde-workspace-4.10.2-BUILD_KCM_RANDR.patch b/kde-workspace-4.10.2-BUILD_KCM_RANDR.patch
new file mode 100644
index 0000000..5aaf976
--- /dev/null
+++ b/kde-workspace-4.10.2-BUILD_KCM_RANDR.patch
@@ -0,0 +1,16 @@
+diff -up kde-workspace-4.10.2/kcontrol/CMakeLists.txt.BUILD_KCM_RANDR kde-workspace-4.10.2/kcontrol/CMakeLists.txt
+--- kde-workspace-4.10.2/kcontrol/CMakeLists.txt.BUILD_KCM_RANDR	2013-03-01 00:32:25.040847159 -0600
++++ kde-workspace-4.10.2/kcontrol/CMakeLists.txt	2013-04-18 08:58:31.086753204 -0500
+@@ -6,9 +6,10 @@ macro_log_feature(FREETYPE_FOUND "FreeTy
+ set(libkxftconfig_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/fonts/kxftconfig.cpp )
+ 
+ 
+-if( X11_Xrandr_FOUND )
++OPTION(BUILD_KCM_RANDR "Build kcontrol/randr module" ON)
++if(BUILD_KCM_RANDR AND X11_Xrandr_FOUND)
+    add_subdirectory( randr )
+-endif(X11_Xrandr_FOUND )
++endif(BUILD_KCM_RANDR AND X11_Xrandr_FOUND)
+ 
+ if(X11_Xkb_FOUND)
+     add_subdirectory( keyboard )
diff --git a/kde-workspace-4.10.1-redhat_startkde.patch b/kde-workspace-4.10.2-redhat_startkde.patch
similarity index 81%
rename from kde-workspace-4.10.1-redhat_startkde.patch
rename to kde-workspace-4.10.2-redhat_startkde.patch
index 816ddd4..83c6ddc 100644
--- a/kde-workspace-4.10.1-redhat_startkde.patch
+++ b/kde-workspace-4.10.2-redhat_startkde.patch
@@ -1,6 +1,6 @@
-diff -up kde-workspace-4.10.1/startkde.cmake.redhat_startkde kde-workspace-4.10.1/startkde.cmake
---- kde-workspace-4.10.1/startkde.cmake.redhat_startkde	2013-03-01 00:32:24.772850461 -0600
-+++ kde-workspace-4.10.1/startkde.cmake	2013-03-02 11:07:51.179567676 -0600
+diff -up kde-workspace-4.10.2/startkde.cmake.redhat_startkde kde-workspace-4.10.2/startkde.cmake
+--- kde-workspace-4.10.2/startkde.cmake.redhat_startkde	2013-03-29 02:00:58.331934605 -0500
++++ kde-workspace-4.10.2/startkde.cmake	2013-04-18 08:53:38.403412249 -0500
 @@ -16,28 +16,20 @@ trap 'echo GOT SIGHUP' HUP
  # we have to unset this for Darwin since it will screw up KDE's dynamic-loading
  unset DYLD_FORCE_FLAT_NAMESPACE
@@ -59,6 +59,15 @@ diff -up kde-workspace-4.10.1/startkde.cmake.redhat_startkde kde-workspace-4.10.
      exit 1
  fi
  [ -r $kdehome/share/config/startupconfig ] && . $kdehome/share/config/startupconfig
+@@ -108,7 +108,7 @@ if test -n "$kcminputrc_mouse_cursorthem
+     fi
+ fi
+ 
+-. krandrstartup
++KRANDRSTARTUP=`which krandrstartup 2>/dev/null` && . $KRANDRSTARTUP
+ 
+ if test "$kcmfonts_general_forcefontdpi" -ne 0; then
+     xrdb -quiet -merge -nocpp <<EOF
 @@ -159,8 +159,9 @@ fi
  # better use the Autostart folder.
  
@@ -70,9 +79,11 @@ diff -up kde-workspace-4.10.1/startkde.cmake.redhat_startkde kde-workspace-4.10.
    for file in "$prefix"*.sh; do
      test -r "$file" && . "$file"
    done
-@@ -170,48 +171,6 @@ done
+@@ -168,49 +169,12 @@ done
+ 
+ # Set the path for Qt plugins provided by KDE
  QT_PLUGIN_PATH=${QT_PLUGIN_PATH+$QT_PLUGIN_PATH:}`kde4-config --path qtplugins`
- export QT_PLUGIN_PATH
+-export QT_PLUGIN_PATH
  
 -# Activate the kde font directories.
 -#
@@ -101,7 +112,10 @@ diff -up kde-workspace-4.10.1/startkde.cmake.redhat_startkde kde-workspace-4.10.
 -else
 -  sys_odir=$KDEDIR/share/fonts/override
 -  sys_fdir=$KDEDIR/share/fonts
--fi
++# hack in multilib support
++if ! echo ${QT_PLUGIN_PATH} | /bin/grep -q /usr/lib/kde4/plugins ; then
++  QT_PLUGIN_PATH=${QT_PLUGIN_PATH}:/usr/lib/kde4/plugins
+ fi
 -
 -# We run mkfontdir on the user's font dirs (if we have permission) to pick
 -# up any new fonts they may have installed. If mkfontdir fails, we still
@@ -115,11 +129,11 @@ diff -up kde-workspace-4.10.1/startkde.cmake.redhat_startkde kde-workspace-4.10.
 -
 -# Ask X11 to rebuild its font list.
 -xset fp rehash
--
++export QT_PLUGIN_PATH
+ 
  # Set a left cursor instead of the standard X11 "X" cursor, since I've heard
  # from some users that they're confused and don't know what to do. This is
- # especially necessary on slow machines, where starting KDE takes one or two
-@@ -250,7 +209,7 @@ for resource in tmp cache socket; do
+@@ -250,7 +214,7 @@ for resource in tmp cache socket; do
      else
          echo 'startkde: Call to lnusertemp failed (temporary directories full?). Check your installation.'  1>&2
          test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
@@ -128,7 +142,7 @@ diff -up kde-workspace-4.10.1/startkde.cmake.redhat_startkde kde-workspace-4.10.
          exit 1
      fi
  done
-@@ -274,7 +233,7 @@ if qdbus >/dev/null 2>/dev/null; then
+@@ -281,7 +245,7 @@ if qdbus >/dev/null 2>/dev/null; then
  else
      echo 'startkde: Could not start D-Bus. Can you call qdbus?'  1>&2
      test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
@@ -137,7 +151,15 @@ diff -up kde-workspace-4.10.1/startkde.cmake.redhat_startkde kde-workspace-4.10.
      exit 1
  fi
  
-@@ -319,7 +278,7 @@ if test $? -ne 0; then
+@@ -319,14 +283,12 @@ xprop -root -f KDE_SESSION_VERSION 32c -
+ KDE_SESSION_UID=`id -ru`
+ export KDE_SESSION_UID
+ 
+-# We set LD_BIND_NOW to increase the efficiency of kdeinit.
+-# kdeinit unsets this variable before loading applications.
+-LD_BIND_NOW=true @KDE4_LIBEXEC_INSTALL_DIR@/start_kdeinit_wrapper +kcminit_startup
++ at KDE4_LIBEXEC_INSTALL_DIR@/start_kdeinit_wrapper +kcminit_startup
+ if test $? -ne 0; then
    # Startup error
    echo 'startkde: Could not start kdeinit4. Check your installation.'  1>&2
    test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
@@ -146,7 +168,7 @@ diff -up kde-workspace-4.10.1/startkde.cmake.redhat_startkde kde-workspace-4.10.
    exit 1
  fi
  
-@@ -343,7 +302,7 @@ if test $? -eq 255; then
+@@ -350,7 +312,7 @@ if test $? -eq 255; then
    # Startup error
    echo 'startkde: Could not start ksmserver. Check your installation.'  1>&2
    test -n "$ksplash_pid" && kill "$ksplash_pid" 2>/dev/null
@@ -155,7 +177,7 @@ diff -up kde-workspace-4.10.1/startkde.cmake.redhat_startkde kde-workspace-4.10.
  fi
  
  wait_drkonqi=`kreadconfig --file startkderc --group WaitForDrKonqi --key Enabled --default true`
-@@ -378,7 +337,8 @@ kde3 dcopserver_shutdown --wait 2>/dev/n
+@@ -385,7 +347,8 @@ kde3 dcopserver_shutdown --wait 2>/dev/n
  echo 'startkde: Running shutdown scripts...'  1>&2
  
  # Run scripts found in $KDEDIRS/shutdown
diff --git a/kde-workspace.spec b/kde-workspace.spec
index 1741a1d..750e974 100644
--- a/kde-workspace.spec
+++ b/kde-workspace.spec
@@ -16,7 +16,7 @@
 Summary: KDE Workspace
 Name:    kde-workspace
 Version: 4.10.2
-Release: 4%{?dist}
+Release: 5%{?dist}
 
 License: GPLv2
 URL:     https://projects.kde.org/projects/kde/kde-workspace
@@ -32,7 +32,7 @@ Source0: http://download.kde.org/%{stable}/%{version}/src/kde-workspace-%{versio
 Source10: fedora-plasma-cache.sh
 
 # RH/Fedora-specific startkde changes
-Patch1: kde-workspace-4.10.1-redhat_startkde.patch
+Patch1: kde-workspace-4.10.2-redhat_startkde.patch
 
 # add konsole menuitem
 # FIXME?  only show menu when/if konsole is installed? then we can drop the hard-dep
@@ -70,9 +70,6 @@ Patch20: kdebase-workspace-4.4.92-xsession_errors_O_APPEND.patch
 # support the widgetStyle4 hack in the Qt KDE platform plugin
 Patch21: kdebase-workspace-4.3.98-platformplugin-widgetstyle4.patch
 
-# multilib QT_PLUGIN_PATH, http://bugzilla.redhat.com/704840
-Patch24: kdebase-workspace-4.6.90-multilib_qt_plugin_path.patch
-
 # add org.kde.ktp-presence applet to default systray
 Patch26: kde-workspace-4.10.2-systray_org.kde.ktp-presence.patch
 
@@ -97,7 +94,7 @@ Patch52: kde-workspace-4.8.2-bz#732830-login.patch
 Patch53: kde-workspace-4.7.95-kdm_xauth.patch
 
 # support BUILD_KCM_RANDR (default ON) option
-Patch55: kde-workspace-4.10.0-BUILD_KCM_RANDR.patch
+Patch55: kde-workspace-4.10.2-BUILD_KCM_RANDR.patch
 
 # pam/systemd bogosity: kdm restart/shutdown does not work 
 # http://bugzilla.redhat.com/796969
@@ -443,7 +440,6 @@ Requires: akonadi
 %patch19 -p1 -b .kdm_plymouth
 %patch20 -p1 -b .xsession_errors_O_APPEND
 %patch21 -p1 -b .platformplugin-widgetstyle4
-%patch24 -p1 -b .multilib_qt_plugin_path
 %patch26 -p1 -b .systray_org.kde.ktp-presence
 %patch27 -p1 -b .kdm_logind
 
@@ -1004,6 +1000,11 @@ fi
 
 
 %changelog
+* Thu Apr 18 2013 Rex Dieter <rdieter at fedoraproject.org> 
+- 4.10.2-5
+- drop LD_BIND_NOW from startkde (#908380)
+- fold all startkde-related patches into redhat_startkde.patch
+
 * Thu Apr 11 2013 Daniel Vrátil <dvratil at redhat.com> 4.10.2-4
 - clear screenlocker password on ESC (#949452)
 


More information about the scm-commits mailing list